Bug 145879 - Missing symbolic link
Missing symbolic link
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libidn (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-22 19:12 EST by Stephen More
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-23 09:08:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen More 2005-01-22 19:12:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; 
FunWebProducts-MyWay; .NET CLR 1.1.4322)

Description of problem:
I was trying to compile gambas and I got this error:

gcc: /usr/lib/libidn.so: No such file or directory

So I fixed it with this:

[root@localhost lib]# ls -l libidn*
-rwxr-xr-x  1 root root    795 Oct  7 12:01 libidn.la
lrwxrwxrwx  1 root root     16 Jan 17 10:00 libidn.so.11 -> 
libidn.so.11.4.6
-rwxr-xr-x  1 root root 193700 Oct  7 12:02 libidn.so.11.4.6
[root@localhost lib]# ln -
s /usr/lib/libidn.so.11.4.6 /usr/lib/libidn.so 
[root@localhost lib]# ls -l libidn*
-rwxr-xr-x  1 root root    795 Oct  7 12:01 libidn.la
lrwxrwxrwx  1 root root     25 Jan 22 18:52 libidn.so -
> /usr/lib/libidn.so.11.4.6
lrwxrwxrwx  1 root root     16 Jan 17 10:00 libidn.so.11 -> 
libidn.so.11.4.6
-rwxr-xr-x  1 root root 193700 Oct  7 12:02 libidn.so.11.4.6


Version-Release number of selected component (if applicable):
libidn-0.5.6-1

How reproducible:
Always

Steps to Reproduce:
1. install FC3
2. yum update
3. configure and make gambas-1.0.2

    

Actual Results:  gcc: /usr/lib/libidn.so: No such file or directory

Expected Results:  Compile completed successfully.

Additional info:

See also: 

http://kb.atmail.com/view_article.php?num=132&title=libidn.so:%20No%
20such%20file%20or%20directory
Comment 1 Joe Orton 2005-01-23 09:08:03 EST
You need to install libidn-devel.

$ rpm -qf /usr/lib/libidn.so
libidn-devel-0.5.6-1


Note You need to log in before you can comment on or make changes to this bug.